#ifndef _MESH2POV_H
#define _MESH2POV_H

class QIODevice;

class MeshConverter
{
public:
	virtual void convert(QIODevice& in, QIODevice& out) const = 0;
};

class Mesh2POV : public MeshConverter
{
public:
	Mesh2POV();
	void convert(QIODevice& in, QIODevice& out) const;
private:

};

class Obj2POV : public MeshConverter
{
public:
	Obj2POV();
	void convert(QIODevice& in, QIODevice& out) const;
};

class Stl2POV : public MeshConverter
{
public:
    Stl2POV();
    void convert(QIODevice& in, QIODevice& out) const;
};

#endif
